Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datastream
Class JRObjectResult

    java.lang.Object
      jet.datastream.JRObjectResult

All Implemented Interfaces:
  jet.datastream.RecordLocation, jet.util.PropertySetable

Direct Known Subclasses:
  JRVisiableResult

Deprecated.

    @Deprecated
    public class JRObjectResult

extends java.lang.Object
implements jet.util.PropertySetable, jet.datastream.RecordLocation

The class `JRObjectResult` is designed for JReport Engine inner usage, it is not for Customer's use, we strongly recommend that customers do not use it. This class and it's methods "which previously were exposed in api doc" will be recorded as Deprecated. This class `JRObjectResult` specifies the methods of saving and restoring the report result object. The save and restore operation work on a stream which is used to store JReport system report result.

Field Summary

Fields inherited from interface jet.datastream.RecordLocation
`DETAIL, PAGE_FOOTER, PAGE_HEADER`

Constructor Summary
`JRObjectResult()` Deprecated. Constructor.

Method Summary
`java.lang.Object` | `copyObject()` Deprecated.
`void` | `dump(java.io.PrintStream stream)` Deprecated.
`JRObjectResult` | `dup(JRObjectResult obj)` Deprecated.
`jet.dataengine.api.dbbuffer.JRecord` | `getCalculateRecord()` Deprecated.
`Communicator` | `getCommunicator()` Deprecated.
`jet.datastream.ImgInfo` | `getImgInfo()` Deprecated.
`jet.util.image.ImageResource` | `getImgResourceByPropertyName(java.lang.String name)` Deprecated.
`jet.util.image.ImageResource` | `getImgResourceByPropertyName(java.lang.String propertyName, Record record)` Deprecated.
`java.lang.String` | `getJetObjInstName()` Deprecated.
`int` | `getLinkComm()` Deprecated.
`int` | `getLinkCondition()` Deprecated.
`int` | `getLinkPage()` Deprecated.
`int` | `getObjectType()` Deprecated.
`jet.util.Containable` | `getParent()` Deprecated.
`short` | `getParentContainerTemplateIndex()` Deprecated.
`java.util.Hashtable` | `getProperties()` Deprecated.
`jet.util.Propertiable` | `getProperty(short propertyName)` Deprecated.
`jet.util.Propertiable` | `getPropertyByName(java.lang.String propertyName)` Deprecated.
`jet.util.Propertiable` | `getPropertyByName(java.lang.String propertyName, Record record)` Deprecated.
`jet.dataengine.api.dbbuffer.JRecord` | `getRecord()` Deprecated.
`int` | `getResolution()` Deprecated.
`jet.datastream.DSSection` | `getSection()` Deprecated.
`int` | `getSubIdxOfRpt()` Deprecated. find subIdx of the subReport or main Report which the current DSObject lie in
`Record` | `getSynRecord()` Deprecated. For local engine is not finished.
`Record` | `getSynRecord2()` Deprecated.
`jet.datastream.DSTableRow` | `getTableRow()` Deprecated.
`jet.datastream.DSTemplatible` | `getTemplate()` Deprecated.
`short` | `getTemplateIndex()` Deprecated.
`java.lang.String` | `getUDOName()` Deprecated.
`boolean` | `isChangeByF(jet.util.Propertiable ret)` Deprecated.
`boolean` | `isDirty()` Deprecated.
`boolean` | `isHasLink()` Deprecated.
`void` | `setDirty(boolean d)` Deprecated.
`void` | `setHasLink(boolean hasLink)` Deprecated.
`void` | `setLink(int comm, int page, int comparerIdx)` Deprecated.
`void` | `setNLSManager(jet.util.JFieldValueNLSManager nlsManager)` Deprecated.
`void` | `setParent(jet.util.Containable parent)` Deprecated.
`void` | `setTemplate(jet.datastream.DSTemplatible template)` Deprecated.
`void` | `setTemplateIndex(short index)` Deprecated.
`static int` | `UTFLength(java.lang.String str)` Deprecated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRObjectResult

    public JRObjectResult()

  Deprecated.
  Constructor.

Method Detail

### isHasLink

    public boolean isHasLink()

  Deprecated.

### setHasLink

    public void setHasLink(boolean hasLink)

  Deprecated.

### getTemplateIndex

    public short getTemplateIndex()

  Deprecated.

### getParentContainerTemplateIndex

    public short getParentContainerTemplateIndex()

  Deprecated.

### setTemplateIndex

    public void setTemplateIndex(short index)

  Deprecated.

### getTemplate

    public jet.datastream.DSTemplatible getTemplate()

  Deprecated.

### getJetObjInstName

    public java.lang.String getJetObjInstName()

  Deprecated.

### setTemplate

    public void setTemplate(jet.datastream.DSTemplatible template)

  Deprecated.

### setParent

    public void setParent(jet.util.Containable parent)

  Deprecated.

### getParent

    public jet.util.Containable getParent()

  Deprecated.

### getObjectType

    public int getObjectType()

  Deprecated.

### getUDOName

    public final java.lang.String getUDOName()

  Deprecated.

### getProperties

    public final java.util.Hashtable getProperties()

  Deprecated.
  Specified by:
    `getProperties` in interface `jet.util.PropertySetable`

### getPropertyByName

    @Deprecated
    public jet.util.Propertiable getPropertyByName(java.lang.String propertyName)

  Deprecated.

  Get a property by the specified name.

  Specified by:
    `getPropertyByName` in interface `jet.util.PropertySetable`
  Parameters:
    `propertyName` - the name of property which we want to get
  Returns:
    the `Propertiable` representing the specified property

### isChangeByF

    public boolean isChangeByF(jet.util.Propertiable ret)

  Deprecated.

### getPropertyByName

    @Deprecated
    public jet.util.Propertiable getPropertyByName(java.lang.String propertyName,
                                                              Record record)

  Deprecated.

  Get a property by the specified name and record.

  Parameters:
    `propertyName` - the name of property which we want to get
    `record` - the record which current JRObjectResult keep
  Returns:
    the `Propertiable` representing the specified property

### getImgResourceByPropertyName

    public jet.util.image.ImageResource getImgResourceByPropertyName(java.lang.String name)

  Deprecated.

### getImgResourceByPropertyName

    public jet.util.image.ImageResource getImgResourceByPropertyName(java.lang.String propertyName,
                                                                     Record record)

  Deprecated.

### getProperty

    public final jet.util.Propertiable getProperty(short propertyName)

  Deprecated.
  Specified by:
    `getProperty` in interface `jet.util.PropertySetable`

### getSynRecord

    public Record getSynRecord()

  Deprecated.
  For local engine is not finished.

### getSynRecord2

    public Record getSynRecord2()

  Deprecated.

### getSubIdxOfRpt

    public int getSubIdxOfRpt()

  Deprecated.
  find subIdx of the subReport or main Report which the current DSObject lie in

  Returns:
    subIdx of the subReport or main Report which the current DSObject lie in

### getCalculateRecord

    public jet.dataengine.api.dbbuffer.JRecord getCalculateRecord()

  Deprecated.

### getRecord

    @Deprecated
    public jet.dataengine.api.dbbuffer.JRecord getRecord()

  Deprecated.

  Gets record which the object based on. This method only should be invoked by export thread.

  Returns:
    record

### getResolution

    @Deprecated
    public int getResolution()

  Deprecated.

  Get the Resolution of the printer.

  Returns:
    the resolution of the printer

### getCommunicator

    public Communicator getCommunicator()

  Deprecated.

### getSection

    public final jet.datastream.DSSection getSection()

  Deprecated.

### getTableRow

    public final jet.datastream.DSTableRow getTableRow()

  Deprecated.

### dump

    public void dump(java.io.PrintStream stream)

  Deprecated.

### setLink

    public void setLink(int comm,
                        int page,
                        int comparerIdx)

  Deprecated.

### getLinkCondition

    public int getLinkCondition()

  Deprecated.

### getLinkPage

    public int getLinkPage()

  Deprecated.

### getLinkComm

    public int getLinkComm()

  Deprecated.

### copyObject

    public java.lang.Object copyObject()

  Deprecated.

### dup

    public JRObjectResult dup(JRObjectResult obj)

  Deprecated.

### setDirty

    public void setDirty(boolean d)

  Deprecated.

### isDirty

    public boolean isDirty()

  Deprecated.

### UTFLength

    public static int UTFLength(java.lang.String str)

  Deprecated.

### setNLSManager

    public void setNLSManager(jet.util.JFieldValueNLSManager nlsManager)

  Deprecated.

### getImgInfo

    public jet.datastream.ImgInfo getImgInfo()

  Deprecated.
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD